=== disulfind/src/Common/Makefile ===
CXXFLAGS += -O3 -Wall -Wno-deprecated
LIBS=-lmeschach -lf2c -lm 
MAKELIB = ar rvs
TARGETLIB = libCommon.a
OBJECTFILES= Vector.o Util.o CommonMethods.o ConfusionMatrix.o  Exception.o  Statistics.o eig/balanc.o  eig/balbak.o  eig/cdiv.o  eig/elmhes.o  eig/eltran.o  eig/hqr.o  eig/hqr2.o  eig/rg.o coords.o eig/d_sign.o

all: lib Eig Norm

libCommon.a : $(OBJECTFILES)
	$(MAKELIB) ${TARGETLIB} $+

lib : libCommon.a

Eig:	Decomposition.o ${OBJECTFILES}
	g++ -o $@ $+ ${LIBS}

Norm:	Norm.o ${OBJECTFILES}
	g++ -o $@ $+ ${LIBS}

%.o: %.cpp
	g++ $(CXXFLAGS) -c $< -o $@

clean:
	$(MAKE) -C eig clean
	rm *.o $(TARGETLIB) Eig Norm *~ -f 

install: all
	cp $(TARGETLIB) $(DESTDIR)/usr/lib/
	cp Eig Norm $(DESTDIR)/usr/bin/

clean_install: clean install

.PHONY : lib
