=== disulfind/src/FSA-Alignment/Makefile ===
FLAGS=-O3 -Wall -Wno-deprecated
LIBS=-lCommon 
LDFLAGS=-L../Common/

%.o : %.cpp

	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

include ../Common/Makefile.def

all: fold_automata.o viterbi_aligner.o timed_transitions.o fsa.o
	g++ -o fold_automata fold_automata.o fsa.o $(LDFLAGS) $(LIBS)
	g++ -o viterbi_aligner viterbi_aligner.o fsa.o $(LDFLAGS) $(LIBS)
	g++ -o timed_transitions timed_transitions.o $(LDFLAGS) $(LIBS)

clean:
	rm *.o fold_automata viterbi_aligner timed_transitions *~ -f 

install: all
	cp fold_automata viterbi_aligner timed_transitions $(DESTDIR)/usr/bin/

fsa.o : fsa.h  $(COMMONINCLUDES)
fold_automata.o :  $(COMMONINCLUDES)
viterbi_aligner.o :  $(COMMONINCLUDES)
timed_transitions.o :  $(COMMONINCLUDES)
