=== disulfind/src/NN/Makefile ===
#CXXFLAGS += -O3 -mcpu=i686 -ffast-math -pipe -Wall -Wno-deprecated 
CXXFLAGS += -O3 -ffast-math -pipe -Wall -Wno-deprecated 
LDFLAGS=-L../Common/ -lCommon

all : brnn-train brnn-test

%.standalone.o:%.cpp
	g++ $(CXXFLAGS) -DSTANDALONE -c $< -o $@

%.o:%.cpp
	g++ $(CXXFLAGS) -c $< -o $@
 
brnn-train : multi-array.o array.o brnn-model.o brnn-train.standalone.o brnn-test.standalone.o 
	g++ $(CXXFLAGS) -o brnn-train brnn-train.standalone.o brnn-model.o array.o multi-array.o $(LDFLAGS)

brnn-test : multi-array.o array.o brnn-model.o brnn-train.standalone.o brnn-test.standalone.o 
	g++ $(CXXFLAGS) -o brnn-test brnn-test.standalone.o brnn-model.o array.o multi-array.o $(LDFLAGS)

clean:
	rm -f *~ *.o brnn-train brnn-test
