=== disulfind/src/Output/Makefile ===
FLAGS=-O3 -Wall -Wno-deprecated

TARGETS=makeASCIIOutput makeHTMLOutput


all : $(TARGETS)

makeStandaloneASCIIOutput.o : makeASCIIOutput.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

makeStandaloneHTMLOutput.o : makeHTMLOutput.cpp
	g++ $(FLAGS) -DSTANDALONE -c $< -o $@

%.o : %.cpp
	g++ $(FLAGS) -c $< -o $@

makeASCIIOutput : utils.o makeStandaloneASCIIOutput.o 
	g++ -o $@ $+ 

makeHTMLOutput : utils.o makeStandaloneHTMLOutput.o 
	g++ -o $@ $+ 


clean:
	rm *.o $(TARGETS) *~ -f
