=== disulfind/src/SVM/Makefile ===
TARGETBIN = SVMClassifier
OPT = -O3
CXXFLAGS=$(OPT) $(CFLAGS) -Wno-deprecated 
CXX = g++ 
LIBS=-lCommon 
LDFLAGS=-L../Common/

all : ${TARGETBIN} SVMClassifier.o

${TARGETBIN} : StandaloneSVMClassifier.o 
	${CXX} $+ -o $@ $(LDFLAGS) $(LIBS)

StandaloneSVMClassifier.o : SVMClassifier.cpp
	${CXX} -DSVMCLASSIFIER -c $< -o $@

%.o : %.cpp
	${CXX} -c $< -o $@ 

clean:	
	rm *~ *.o *.a *.exe ${TARGETBIN} -f
