=== disulfind/src/BRNN/old/Makefile ===
#############################################
# Gnu gcc

CC            	= g++
CXX           	= g++
CCC           	= g++
CCLIB         	= g++ 
RNNDIR		= ./RNNs
BOOST		= ./boost # if you have your own personal boost distribution
CINCLUDES     	= -I$(RNNDIR) -I$(BOOST)
WARNINGS      	= #-Wall 
CODEOPT       	= -ftemplate-depth-30 -fpermissive -O3
RAN 		= ranlib
DEBUG         	= #-g -DDEBUG
PROFILE       	= #-pg
# end of edit

#LIBS       	= -L/home/alex/lib/

CXXFLAGS      	= $(DEFINES) $(WARNINGS) 
CFLAGS        	= $(DEFINES) $(WARNINGS) 
LDFLAGS       	= $(CODEOPT) $(DEBUG)
LD            	= $(CXX) #$(LDFLAGS)

.cpp.o:
	$(CXX) $(CINCLUDES) $(CODEOPT) $(DEBUG) $(CFLAGS) $(PROFILE) -c $< -o $@
SOURCES.cpp= \
	$(RNNDIR)/Node.cpp \
	$(RNNDIR)/StructureSearch.cpp \
	$(RNNDIR)/DataSet.cpp \
	$(RNNDIR)/DPAG.cpp \
	$(RNNDIR)/Options.cpp \
	protein_util.cpp \
	blast_util.cpp \
	rnn_util.cpp

SOURCES.h= \
	$(RNNDIR)/require.h \
	$(RNNDIR)/util.h \
	$(RNNDIR)/ActivationFunctions.h \
	$(RNNDIR)/DataSet.h \
	$(RNNDIR)/DPAG.h \
	$(RNNDIR)/ErrorMinimizationProcedure.h \
	$(RNNDIR)/Node.h \
	$(RNNDIR)/Options.h \
	$(RNNDIR)/RecursiveNN.h \
	$(RNNDIR)/StructureSearch.h \
	protein_util.h \
	blast_util.h \
	rnn_util.h

OBJECTS = $(SOURCES.cpp:%.cpp=%.o)

TARGETS = disulfind-conn predictbondingstate seq2conngraphs predictpattern

all: ${TARGETS}

disulfind-conn: $(OBJECTS) disulfind-conn.o 
	$(LD) $(OBJECTS) disulfind-conn.o -o $@ $(PROFILE) $(LDFLAGS)

disulfind-conn.o: $(SOURCES.cpp) disulfind-conn.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c disulfind-conn.cpp

predictbondingstate: $(OBJECTS) predictbondingstate.o 
	$(LD) $(OBJECTS) predictbondingstate.o -o $@ $(PROFILE) $(LDFLAGS)

predictbondingstate.o: $(SOURCES.cpp) predictbondingstate.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c predictbondingstate.cpp

predictpattern: $(OBJECTS) predictpattern.o 
	$(LD) $(OBJECTS) predictpattern.o -o $@ $(PROFILE) $(LDFLAGS)

predictpattern.o: $(SOURCES.cpp) predictpattern.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c predictpattern.cpp

seq2conngraphs: $(OBJECTS) seq2conngraphs.o 
	$(LD) $(OBJECTS) seq2conngraphs.o -o $@ $(PROFILE) $(LDFLAGS)

seq2conngraphs.o: $(SOURCES.cpp) seq2conngraphs.cpp $(SOURCES.h)
	$(CXX) $(CINCLUDES) $(WARNINGS) $(CODEOPT) $(DEBUG) $(PROFILE) -c seq2conngraphs.cpp

clean:
	rm -f *.o core
	rm -f $(RNNDIR)/*.o $(RNNDIR)/core

depend:
	makedepend -- $(CINCLUDES) $(CFLAGS) -- $(SOURCES.h) $(SOURCES.cpp) disulfind-conn.cpp predictbondingstate.cpp predictpattern.cpp seq2conngraphs.cpp

# DO NOT DELETE

./RNNs/DataSet.o: ./RNNs/require.h ./RNNs/util.h ./RNNs/Options.h
./RNNs/DataSet.o: ./RNNs/DPAG.h /usr/include/boost/utility.hpp
./RNNs/DataSet.o: /usr/include/boost/utility/addressof.hpp
./RNNs/DataSet.o: /usr/include/boost/config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/user.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_compiler_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/compiler/gcc.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_stdlib_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/select_platform_config.hpp
./RNNs/DataSet.o: /usr/include/boost/config/suffix.hpp /usr/include/limits.h
./RNNs/DataSet.o: /usr/include/features.h /usr/include/sys/cdefs.h
./RNNs/DataSet.o: /usr/include/gnu/stubs.h
./RNNs/DataSet.o: /usr/lib/gcc-lib/i486-linux/3.3.5/include/limits.h
./RNNs/DataSet.o: /usr/include/boost/detail/workaround.hpp
./RNNs/DataSet.o: /usr/include/boost/utility/base_from_member.hpp
./RNNs/DataSet.o: /usr/include/boost/utility_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/checked_delete.hpp
./RNNs/DataSet.o: /usr/include/boost/next_prior.hpp
./RNNs/DataSet.o: /usr/include/boost/noncopyable.hpp
./RNNs/DataSet.o: /usr/include/boost/property_map.hpp
./RNNs/DataSet.o: /usr/include/boost/config.hpp
./RNNs/DataSet.o: /usr/include/boost/pending/cstddef.hpp
./RNNs/DataSet.o: /usr/include/boost/detail/iterator.hpp
./RNNs/DataSet.o: /usr/include/boost/concept_check.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/conversion_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_convertible.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/yes_no_type.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/config.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_array.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/bool_trait_def.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/template_arity_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/template_arity_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/params.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/preprocessor.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/workaround.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/cat.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/config/config.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/lambda_support.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/lambda.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/ttp.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/overload_resolution.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/bool.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/bool_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/static_constant.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/bool_trait_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/type_trait_def.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/type_trait_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/ice.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_or.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_and.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_not.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/ice_eq.hpp
./RNNs/DataSet.o: /usr/include/boost/static_assert.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/void_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/lambda_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/lambda_arity_param.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/void.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/void_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/msvc.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/int_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/enum.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/def_params_tail.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/limits/arity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/dtp.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/comma_if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/punctuation/comma_if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/control/if.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/control/iif.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/bool.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/facilities/empty.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/punctuation/comma.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/and.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/logical/bitand.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/facilities/identity.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/empty.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/filter_params.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/sub.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/preprocessor/tuple.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arity.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/nttp.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/algorithm_namespace.hpp
./RNNs/DataSet.o: /usr/include/boost/concept_archetype.hpp
./RNNs/DataSet.o: /usr/include/boost/graph/graph_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/tuple/tuple.hpp
./RNNs/DataSet.o: /usr/include/boost/ref.hpp
./RNNs/DataSet.o: /usr/include/boost/tuple/detail/tuple_basic.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/cv_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_cv.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/cv_traits_impl.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_const.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/broken_compiler_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_volatile.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_cv.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/function_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_function.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/false_result.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/is_function_ptr_helper.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/add_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/remove_reference.hpp
./RNNs/DataSet.o: /usr/include/boost/pending/ct_if.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_categories.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/config_def.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/apply_if.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/if.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/value_wknd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/eti.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/static_cast.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/arg_fwd.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/apply.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/placeholders.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/arg.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arity_spec.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/arg_typedef.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/use_preprocessed.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/include_preprocessed.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/config/compiler.hpp
./RNNs/DataSet.o: /usr/include/boost/preprocessor/stringize.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/config_undef.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_adaptor.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_facade.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/interoperable.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/or.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/aux_/nested_type_wknd.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/iterator_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/iterator/detail/facade_iterator_category.hpp
./RNNs/DataSet.o: /usr/include/boost/mpl/and.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_same.hpp
./RNNs/DataSet.o: /usr/include/boost/python/detail/indirect_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/detail/indirect_traits.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_member_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_member_function_pointer.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/detail/is_mem_fun_pointer_impl.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_class.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/is_union.hpp
./RNNs/DataSet.o: /usr/include/boost/type_traits/intrinsics.hpp
