=== disulfind/src/Common/eig/Makefile ===
MAKELIB = ar rvs
TARGETLIB = libeig.a
OBJECTFILES= balanc.o  balbak.o  cdiv.o  elmhes.o  eltran.o  hqr.o  hqr2.o  rg.o d_sign.o

all: lib


lib: $(OBJECTFILES)
	$(MAKELIB) ${TARGETLIB} $+

%.o: %.c
	g++ $(CXXFLAGS) -O3 -c $< -o $@

clean:
	rm *.o $(TARGETLIB) *~ -f 

install:
	cp $(TARGETLIB) $(DESTDIR)/usr/lib/
