=== debian/control ===
Source: disulfinder
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>,
           Laszlo Kajan <lkajan@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libboost-dev,
               libboost-graph-dev,
               libf2c2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/disulfinder
Vcs-Git: https://salsa.debian.org/med-team/disulfinder.git
Homepage: http://disulfind.dsi.unifi.it/

Package: disulfinder
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         disulfinder-data
Description: cysteines disulfide bonding state and connectivity predictor
 'disulfinder' is for predicting the disulfide bonding state of cysteines
 and their disulfide connectivity starting from sequence alone. Disulfide
 bridges play a major role in the stabilization of the folding process for
 several proteins. Prediction of disulfide bridges from sequence alone is
 therefore useful for the study of structural and functional properties
 of specific proteins. In addition, knowledge about the disulfide bonding
 state of cysteines may help the experimental structure determination
 process and may be useful in other genomic annotation tasks.
 .
 'disulfinder' predicts disulfide patterns in two computational stages:
 (1) the disulfide bonding state of each cysteine is predicted by a
 BRNN-SVM binary classifier; (2) cysteines that are known to participate
 in the formation of bridges are paired by a Recursive Neural Network
 to obtain a connectivity pattern.

Package: disulfinder-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for predictor of disulfide bonds in proteins
 'disulfinder' is for predicting the disulfide bonding state of cysteines
 and their disulfide connectivity starting from sequence alone.
 .
 This package contains all data files to reduce the redundancy between
 architectures in Debian.
