=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

pkgdata := $(DEB_SOURCE)-data

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_SOURCE) prefix=/usr install

override_dh_install:
	dh_install
	mkdir -p $(CURDIR)/debian/$(pkgdata)/usr/share/$(DEB_SOURCE)
	mv $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/* $(CURDIR)/debian/$(pkgdata)/usr/share/$(DEB_SOURCE)
