=== debian/tests/control ===
Tests: installation-test
Depends: disulfinder, disulfinder-data
Restrictions: allow-stderr
